Page MenuHomePhabricator

Wrap `editingold` in a warning box to make it more visible
Closed, ResolvedPublic

Description

Requested in https://www.mediawiki.org/wiki/MediaWiki_Stakeholders%27_Group/TechConf_Input/Challenges#stronger_warnings_when_trying_to_edit_old_version

Our documentation process makes heavy use of the recent changes feature. Due to the breakdown by day, there is no easy way to only list a page's most recent edit, it will be listed for each day it was edited. This means that if I am away for a week, and then start reviewing changes from 7 days ago, I will likely look at a few diffs that have had additional changes since. [see T10681 for this issue] It is easy to start editing the version that is not the current one, which is not usually what is intended. I make the mistake even though I am aware of it, and it is almost impossible to explain to less technical users that this is something to watch out for. This leads to later edits being clobbered, which is reducing buy-in in using the wiki.
It would be nice if trying to edit a non-current version led to a far more "noisy" warning than that little line at the top. This might be something that I can change through interface edits, but I think the default should be more noisy in the first place. [emphasis added]

Codepoint: Search for editingold in the file https://gerrit.wikimedia.org/g/mediawiki/core/+/master/includes/EditPage.php

Wrap in either warningbox or mw-warning CSS class. See Demo of both those. Probably warningbox unless there's guidance somewhere (I can't find docs for that).

Event Timeline

Quiddity created this task.Aug 20 2018, 5:18 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 20 2018, 5:18 AM
Quiddity updated the task description. (Show Details)
Kghbln added a subscriber: Kghbln.

Change 472979 had a related patch set uploaded (by LukBukkit; owner: LukBukkit):
[mediawiki/core@master] Wrap the text for out-of-date edits into a warningbox

https://gerrit.wikimedia.org/r/472979

So I've tested the patch and it WFM. @Quiddity, maybe you can confirm? Will CR+1 the patch. Great work @LukBukkit.

Before:

After:

Visually it looks good. :-) I'm not a dev so cannot review the code solution used.

Jdforrester-WMF closed this task as Resolved.Nov 14 2018, 9:40 PM
Jdforrester-WMF assigned this task to LukBukkit.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thank you! This will get deployed to production in the week of 2018-11-25, and will appear on Wikipedias from 2018-11-29 (assume all is well). @d3r1ck, please mark it as done on the GCI site as I can't. :-)

@d3r1ck, please mark it as done on the GCI site as I can't. :-)

This was done as CR+2 is not a blocker for approving GCI tasks. Once a task has CR+1 (with some good cycles of review), it's good to go. Thanks a lot for merging @Jdforrester-WMF :) and good work @LukBukkit!

Change 472979 merged by jenkins-bot:
[mediawiki/core@master] Wrap the text for out-of-date edits into a warningbox

https://gerrit.wikimedia.org/r/472979

Thanks for reviewing this so fast. It's really exciting to get code into production although it's just a small change. ^^